c predsp.f, (Aug 12 1995)
c ----------------------------------------------------------------------
      DOUBLE PRECISION FUNCTION PREDSP (LAT,LONG,NOBS,
     &     NNULL,NPAR,X,ISB,COEF)
c########################################################################c
c A function to evaluate the estimated function on sphere.
c
c Input:
c     (LAT,LONG): a point on sphere at which the function
c             to be evaluated
c     NOBS, NNULL, NPAR, X(NOBS,2), ISB(MAXBAS), COEF(MAXBAS): 
c             same as in has.f, 
c             X(,1) contains latitudes, X(,2) contains longitudes,
c             ISB and COEF are the results from HAS fit.
c Functions used: FNULL, RK (in basissp.f)
c########################################################################c
      INTEGER NOBS,NNULL,NPAR,ISB(*)
      DOUBLE PRECISION T,X(NOBS,2),COEF(*)
      DOUBLE PRECISION FNULL,RK
      PREDSP = 0.D0
      DO 10 M = 1,NNULL
         PREDSP = PREDSP + COEF(M) * FNULL(M,LAT,LONG)
 10   CONTINUE
      DO 20 I = NNULL+1,NPAR
         PREDSP = PREDSP + COEF(I) * RK(LAT,LONG,
     &                             X(ISB(I)-NNULL,1),X(ISB(I)-NNULL,2))
 20   CONTINUE
      RETURN 
      END
